(use-package lsp-mode
  :after (treemacs)
  :init
  (setq lsp-keymap-prefix "C-c l")
  :hook (
         ;; (python-mode . lsp)
         (lsp-mode . lsp-enable-which-key-integration))
  :config
  (setq lsp-enable-snippet nil)
  :defer
  (lsp-treemacs-sync-mode 1)
  :commands lsp)

(use-package lsp-ui
  :commands lsp-ui-mode)

(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp))))

(use-package rustic)

(provide 'lsp)
